/*
 * util.c
 */

static char *rcsid = "$Header: /Net/bioserv.compbio.caltech.edu/bcomp/src/master/nexus/ports0/util.c,v 1.1 1994/11/01 03:54:29 tuecke Exp $";

#include "internal.h"

/*
 * _p0_copy_string()
 *
 * Copy the string into malloced space and return it.
 *
 * Reminder: This function returns a pointer to malloced memory, so
 * don't forget to use Ports0Free() on it...
 */
char *_p0_copy_string(char *s)
{
    char *rc;

    Ports0Malloc(_p0_copy_string(), rc, char *, (strlen(s) + 1));
    strcpy(rc, s);
    return (rc);
} /* _p0_copy_string() */
