/*
 * funcs.h
 *
 * rcsid = "$Header: /Net/bioserv.compbio.caltech.edu/bcomp/src/master/nexus/ports0/funcs.h,v 1.1 1994/11/01 03:51:03 tuecke Exp $"
 */

#ifndef _PORTS0_INCLUDE_FUNCS_H
#define _PORTS0_INCLUDE_FUNCS_H

/*
 * args.c
 */
extern void	_p0_parse_args(int  *argc,
			       char **argv[],
			       char *package_id_arg);

/*
 * th_*.c
 */
extern void	_p0_thread_process_arguments_init();
extern int	_p0_thread_process_argument(char *arg,
					    int current_arg,
					    int argc,
					    char *argv[]);
extern void	_p0_thread_usage_message();
extern int	_p0_thread_new_process_params(char *buf, int size);
extern void	_p0_thread_preinit();
extern void	_p0_thread_init();
extern void	_p0_thread_shutdown();
extern void	_p0_thread_abort(int return_code);
extern void	_p0_thread_create_handler_thread();
extern void	_p0_thread_shutdown_handler_thread();
    

/*
 * trace.c
 */
extern void	_p0_traceback();


/*
 * util.c
 */
extern char *	_p0_copy_string(char *s);

#endif /* _PORTS0_INCLUDE_FUNCS_H */

