/*
 * globals.h
 *
 * rcsid = "$Header: /Net/bioserv.compbio.caltech.edu/bcomp/src/master/nexus/ports0/globals.h,v 1.1 1994/11/01 03:51:09 tuecke Exp $"
 */

#ifndef _PORTS0_INCLUDE_GLOBALS_H
#define _PORTS0_INCLUDE_GLOBALS_H

/*
 * This is used by the ports0 print routines for output.
 */
PORTS0_GLOBAL FILE 	*_p0_stdout;


/*
 * Various debug flags...
 */
#ifdef PORTS0_DEBUG
PORTS0_GLOBAL int	_p0_debug_level;
#endif

#ifdef PORTS0_MALLOC_DEBUG
PORTS0_GLOBAL int	_p0_malloc_debug_level;
PORTS0_GLOBAL int 	_p0_malloc_pad_size;
PORTS0_GLOBAL bool_t	_p0_trace_malloc;
PORTS0_GLOBAL bool_t	_p0_no_frees;
#endif /* PORTS0_MALLOC_DEBUG */

#endif /* _PORTS0_INCLUDE_GLOBALS_H */
